POST v1/05/NMPT

No documentation available.

Request Information

Parameters

NameDescriptionAdditional information
details
No documentation available.

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "NMPT01": {
    "vcn_no": "sample string 1"
  },
  "NMPT02": {
    "be_no": "sample string 1"
  },
  "NMPT03": {
    "vcn_no": "sample string 1"
  },
  "NMPT04": {
    "be_no": "sample string 1"
  },
  "NMPT05": {
    "Shipping_bill_no": "sample string 1"
  }
}

application/xml, text/xml

Sample:
<NMPT_UlipClass xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/eonepayapi.Models">
  <NMPT01>
    <vcn_no>sample string 1</vcn_no>
  </NMPT01>
  <NMPT02>
    <be_no>sample string 1</be_no>
  </NMPT02>
  <NMPT03>
    <vcn_no>sample string 1</vcn_no>
  </NMPT03>
  <NMPT04>
    <be_no>sample string 1</be_no>
  </NMPT04>
  <NMPT05>
    <Shipping_bill_no>sample string 1</Shipping_bill_no>
  </NMPT05>
</NMPT_UlipClass>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'NMPT_UlipClass'.

Response Information

No documentation available.

Response body formats

application/json, text/json

Sample:
{
  "Status": true,
  "Message": "sample string 2",
  "Data": {},
  "ReturnValue": "sample string 4",
  "DataList": [
    {},
    {},
    {}
  ],
  "error": {
    "status": true,
    "message": "sample string 2",
    "data": {}
  }
}

application/xml, text/xml

Sample:
<ResponsesData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/eonepayapi.Models">
  <Data />
  <DataList xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:anyType />
    <d2p1:anyType />
    <d2p1:anyType />
  </DataList>
  <Message>sample string 2</Message>
  <ReturnValue>sample string 4</ReturnValue>
  <Status>true</Status>
  <error>
    <data />
    <message>sample string 2</message>
    <status>true</status>
  </error>
</ResponsesData>